This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 483064 - man page for jpegtopnm talks about unsupported option
man page for jpegtopnm talks about unsupported option
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: netpbm (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 10:28 EST by Milos Malik
Modified: 2013-07-02 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 03:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2009-01-29 10:28:34 EST
Description of problem:
Command line option "-repair" is described in the man page but it's not
recognized by the utility.

Version-Release number of selected component (if applicable):
netpbm-progs-10.35.54-1.fc10

How reproducible:
always

Steps to Reproduce:
$ man jpegtopnm | col -b | grep -A 3 SYNOPSIS
SYNOPSIS
       jpegtopnm    [-dct   {int|fast|float}]	[-nosmooth]   [-maxmemory   N]
       [{-adobe|-notadobe}] [-comments] [-dumpexif] [-exif=filespec]  [-multi-
       ple] [-repair] [-verbose] [-tracelevel N] [filename]
$ jpegtopnm -repair
unrecognized option `-repair'
$ jpegtopnm --repair
unrecognized option `--repair'

  
Actual results:
1 unsupported option in the man page

Expected results:
0 unsupported options in the man page

Additional info:
Comment 1 Jindrich Novy 2009-04-14 03:19:09 EDT
Citing from the man page:

This option was new in Netpbm 10.38.0 (March 2007).  Before that, jpegtopnm always fails in the cases in question.

We use stable netpbm-10.35.

Note You need to log in before you can comment on or make changes to this bug.